using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：危险源及风险库个体防护措施
    /// </summary>
    [Description("导航属性：危险源及风险库个体防护措施")]
    public class T_HM_EVALUATE_RISK_INDIVIDUAL_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskIndividualMeasures")]
        public Guid EVALUATION_RISK_ID { get; set; }

        /// <summary>
        /// 个体防护措施
        /// </summary>
        [Description("个体防护措施")]
        [DataFieldForeignKey("Nav_IndividualMeasures")]
        [FormFieldEdit]
        public Guid INDIVIDUAL_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }

        /// <summary>
        /// 导航属性：个体防护措施
        /// </summary>
        [Description("导航属性：个体防护措施")]
        public T_HM_INDIVIDUAL_MEASURES Nav_IndividualMeasures { get; set; }
    }
}
